Bootstrap

NX二次开发(C#)移动对象命令-角度

UG版本:12.0

VS版本:2017

功能:实现移动对象(CTRL+T)命令中的根据角度移动对象

如有错误,敬请指正

通过设置选择对象,旋转轴,旋转点,旋转角度,移动对象/复制对象,新的图层。

实现移动对象命令中根据角度移动对象。

public static NXObject[] Rotation_Angle_NxObject(NXObject[] objects_Selection,Direction direction,Point3d Origin_Point,double Angle, NXOpen.Features.MoveObjectBuilder.MoveObjectResultOptions moveObjectResultOptions, int layer)
    {
        NXOpen.Session theSession = NXOpen.Session.GetSession();
        NXOpen.Part workPart = theSession.Parts.Work;
        NXOpen.Part displayPart = theSession.Parts.Display;
       
        NXOpen.Features.MoveObject nullNXOpen_Features_MoveObject = null;
        NXOpen.Features.MoveObjectBuilder moveObjectBuilder1 = workPart.BaseFeatures.CreateMoveObjectBuilder(nullNXOpen_Features_MoveObject);

        moveObjectBuilder1.TransformM

;